package com.bocloud.cmp.provider.jumpserver;

import com.bocloud.cmp.model.jumpserver.User;
import com.bocloud.cmp.model.jumpserver.UserGroup;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

import java.util.List;

public interface UserGroupProvider extends SuperProvider {

    default BocloudResult<List<UserGroup>> list() {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<UserGroup> create(UserGroup model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<UserGroup> modify(UserGroup model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<?> remove(UserGroup model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult<?> addUsers(UserGroup group, List<User> users) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult<?> removeUsers(UserGroup group, List<User> users) {
        return new BocloudResult(false, "need implement");
    }

}
